Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Module containereditor :: Class ContainerEditorDialog |
[frames] | no frames]

# Class ContainerEditorDialog

source code

                   wx.Dialog --+
                               |
     StaticContainerEditorDialog --+
                                   |
                      object --+   |
                               |   |
    ContainerEditorControllerApi --+
                                   |
                                  ContainerEditorDialog

This dialog is used for two purposes, editing an existing container event and creating a new container event (container==None). The 'business logic' is handled by the controller.

Instance Methods
__init__(self, parent, title, db, container=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
get_edited_container(self) | source code
Inherited from `ContainerEditorControllerApi`: `close`, `display_db_exception`, `display_invalid_name`, `get_category`, `get_name`, `set_category`, `set_name` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, parent, title, db, container=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)